# -*- coding: utf-8 -*-
# Generated by Django 1.11.6 on 2020-02-16 14:33
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import filer.fields.image


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('cms', '0020_old_tree_cleanup'),
        migrations.swappable_dependency(settings.FILER_IMAGE_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='BackgroundImage',
            fields=[
                ('cmsplugin_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='theme_backgroundimage', serialize=False, to='cms.CMSPlugin')),
                ('name', models.CharField(help_text="Assign a CSS class, e.g. '.footer-img'.", max_length=50, verbose_name='target_class')),
                ('image', filer.fields.image.FilerImageField(on_delete=django.db.models.deletion.CASCADE, related_name='image', to=settings.FILER_IMAGE_MODEL, verbose_name='image')),
            ],
            options={
                'verbose_name': 'Background image',
                'verbose_name_plural': 'Background image',
            },
            bases=('cms.cmsplugin',),
        ),
    ]
